<%= form_for @changeset, @action, [as: :update_password, class: "m-form"], fn f -> %>
  <%= if @changeset.action do %>
    <div class="m-form__group">
      <span class="m-form__info m-form__info--error">
      <%= gettext "Sorry your entered passwords are invalid." %>
      <%= gettext "Make sure they have at least 8 characters." %>
      </span>
    </div>
  <% end %>

  <div class="m-form__group">
    <%= label f, :password, class: "m-form__label" %>
    <%= password_input f, :password, class: "m-form__input" %>
    <%= error_tag f, :password %>
  </div>

  <div class="m-form__group">
    <%= label f, :password_confirmation, class: "m-form__label" %>
    <%= password_input f, :password_confirmation, class: "m-form__input" %>
    <%= error_tag f, :password_confirmation %>
  </div>

  <div class="m-form__group m-form__group--cta">
    <%= submit gettext("Update your Password"), class: "m-btn m-btn--primary" %>
  </div>
<% end %>
